Main Page Modules Data Structures File List Data Fields Globals Related Pages

# aesParam Struct Reference
[Block ciphers: AES]

`#include <aes.h>`

## Data Fields
uint32 | k [64]
uint32 | nr
uint32 | fdback [4]

## Field Documentation

uint32 aesParam::fdback[4]

| Definition at line 36 of file aes.h. Referenced by aesCBCDecrypt, aesCBCEncrypt, aesSetIV, and aesSetup.

uint32 aesParam::k[64]

| Definition at line 34 of file aes.h. Referenced by aesDecrypt, aesEncrypt, and aesSetup.

uint32 aesParam::nr

| Definition at line 35 of file aes.h. Referenced by aesDecrypt, aesEncrypt, and aesSetup.

The documentation for this struct was generated from the following file:

- beecrypt/aes.h